"""Test the factories."""
import pytest


@pytest.mark.django_db
def test_main_model_factory__create(main_model_factory):
    """Test if the MainModelFactory.create() works properly."""
    main_model = main_model_factory.create()
    assert main_model.one.name == 'Initial Name'


@pytest.mark.django_db
def test_main_model_factory__build(main_model_factory):
    """Test if the MainModelFactory.build() works properly."""
    main_model = main_model_factory.build()
    assert main_model.one.name == 'Initial Name'


@pytest.mark.django_db
def test_main_model_fixture(main_model):
    """Test if the MainModelFactory shortcut works properly."""
    assert main_model.one.name == 'Initial Name'
